#!/bin/bash

. bin/begin_bld_session.sh
bld_print_implicit_opts


echo
echo --------- Profile Providers ---------

compiler="clang"
compile_mode="release"
linker="clang"
bld_compile $src_path/base/base_profiling_by_spall.c
bld_load_local_opts


echo
echo --------- Free Type ---------

cd $root_path
$root_path/bin/build_freetype.bat


echo
echo --------- Core Programs ---------
bld_unit $src_path/main.cpp test
bld_unit $src_path/main.c   test

bld_unit $src_path/play_temp_wave.c


echo
echo --------- Core Partial Targets ---------

bld_compile $src_path/d3d11/d3d11_target.cpp


echo
echo --------- Examples ---------

bld_unit $src_path/examples/win32_opengl_context_init_example.c

bld_unit $src_path/examples/opengl_scratch.c

bld_unit $src_path/examples/d3d11_example.cpp

bld_unit $src_path/examples/freetype_example.c


echo
echo --------- Euler ---------

bld_link euler $src_path/euler.c $src_path/euler_asm.asm

